Subject: Re: bug#9862: 23.3; [Gnus/EasyPG] Mixing PGP/MIME signature with RFC822 forwarded multipart message results in an invalid MIME message

From: Daiki Ueno <[email-masked]>
Date: Tue, 25 Oct 2011 17:16:45 +0900

"S=e9bastien Villemot" <[email-masked]> writes:

> This is Debian bug #608279 (http://bugs.debian.org/608279).
>
> If I try to send the following e-mail with Gnus (using MML syntax):
[...]
> Then the message generated by Gnus does not respect MIME
> conventions. The boundary string used for the top-level multipart is the
> same than the boundary string used for the innermost multipart (see
> below for the generated message).

Well, I couldn't actually reproduce it.  With the MML from the Debian
bug and got the following.  The boundary strings look legal, but
interestingly the rendering seems to be broken.  I see
"--====-=-=--\n----------\n" after the line "Foo".

 From nobody Tue Oct 25 17:04:52 2011
 Message-ID: <[email-masked]>
 From: Daiki Ueno <[email-masked]>
 To: [email-masked]
 Subject: test
 Date: Tue, 25 Oct 2011 17:04:45 +0900
 MIME-Version: 1.0
 Content-Type: multipart/signed; boundary="=====-=-=";
 	micalg=pgp-sha1; protocol="application/pgp-signature"
 Lines: 39
 Xref: localhost.localdomain outgoing.gpg:392
 X-Gnus-Article-Number: 392   Tue, 25 Oct 2011 17:04:52 +0900

 --=====-=-=
 Content-Type: multipart/mixed; boundary="=-=-="

 --=-=-=
 Content-Type: message/rfc822
 Content-Disposition: inline

 --====-=-=
 Content-Disposition: inline
 MIME-Version: 1.0
 Content-Type: multipart/mixed; boundary="====-=-="

 Foo

 --====-=-=--

 --=-=-=--

 --=====-=-=
 Content-Type: application/pgp-signature

 -----BEGIN PGP SIGNATURE-----
 Version: GnuPG v2.0.18 (GNU/Linux)

 iQIcBAEBAgAGBQJOpm2jAAoJENYFhI7X5phxkXsP/iTNWsXWzCoqiFjYcFyOidYr
 zHMFTZoAzpEcnEnfZNTV6LkfiLzq7sr+1UcEIuGqU5cupUxl+VxEA/qhv6/rIneN
 ILwrhIMtuX/6UL2KFk7JbqAcQ8xaelsV1AyC1WIjwwKRSgToWAAYNifZT8lLUEoD
 +3e6Dt4yeE30xKAphrMemx1JZx2t8RBsOx0tdUoFbpGw6Z9ojaOMHXyXN2pk8lUQ
 FtHc60fSeKwzvlefEFCKtRdwbyX7v1dZyotxi485vCeruAhFVQLkGwumb3oW0GOs
 oqvIrCC8HtvFIYUo3XImGJu0FoGj+Tf2UYmZ/XUmOPQ9dPVUjrqvDqWm7eCI2pel
 nFJiUsl/A4TEofp6CEXW0McqG52wCL8rDLhdK7Y0y90NFJboj+OKr+W4eMDEVwTh
 yRpWWivnn1MjAkTdz5p6vuTTeIqL3iA6GUv5CBFRCRUGLj+WMtczImFY1u4AfMno
 8zWhYv8E5KWtOVgrmoB/6GMm+sXk+prZqUEoe7CQX2QWpxA9l+HNB5h79tpEplSZ
 GrCfANGqEzO/sksRmF6MeSBloeLSia5qHYz0lDF/gcXw5gJyD2NcovYtnz5sc/Zo
 2RcRBio2VPZfRXPDcbCplwDbobpZMvgAU21v3eY9b/NrL6M90S873xfqelUIcwqL
 s+gQiV90nVb+Z3DhzImp
 =KT/T
 -----END PGP SIGNATURE-----
 --=====-=-=--

Could you try newer Gnus from the git?

Regards,
-- 
Daiki Ueno